# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# dirac_instr::DrawMotionColour Class Reference

Class to carry out overlay of motion vectors using colour.

`#include <motion_colour.h>`

Inheritance diagram for dirac_instr::DrawMotionColour:

List of all members.

## Public Member Functions

- DrawMotionColour (Picture &, DrawPictureMotionParams &, const MvArray &, int, int)
    Constructor.
- ~DrawMotionColour ()
    Destructor.
- void DrawBlock (int, int)
    Colours a particular motion vector block appropriately.
- void DrawLegend ()
    Draws colour wheel legend.

## Private Attributes

- int m_mv_scale
    Temporal motion vector scaling.
- int m_mv_clip
    Maximum motion vector size represented.
- const MvArray & m_mv
    Reference to motion vector data for particular reference.

## Constructor & Destructor Documentation

dirac_instr::DrawMotionColour::DrawMotionColour | ( | Picture & | ,
|  | DrawPictureMotionParams & | ,
|  | const MvArray & | ,
|  | int | ,
|  | int |  |
| ) |  |  |

dirac_instr::DrawMotionColour::~DrawMotionColour | ( |  | ) |

## Member Function Documentation

void dirac_instr::DrawMotionColour::DrawBlock | ( | int | ,
|  | int |  |
| ) |  |  | `[virtual]`

Implements dirac_instr::DrawOverlay.

void dirac_instr::DrawMotionColour::DrawLegend | ( |  | ) | `[virtual]`

Implements dirac_instr::DrawOverlay.

## Member Data Documentation

const MvArray& dirac_instr::DrawMotionColour::m_mv`[private]`

int dirac_instr::DrawMotionColour::m_mv_clip`[private]`

int dirac_instr::DrawMotionColour::m_mv_scale`[private]`

The documentation for this class was generated from the following file:

- motion_colour.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.